"use strict";

var _fs = require("fs");

var _fs2 = _interopRequireDefault(_fs);

var _babelCore = require("babel-core");

var _path = require("path");

var _path2 = _interopRequireDefault(_path);

var _glob = require("glob");

var _glob2 = _interopRequireDefault(_glob);

var _assert = require("assert");

var _assert2 = _interopRequireDefault(_assert);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-env mocha */
var pluginPath = _path2.default.join(__dirname, '..', '..', 'dist', 'index.js');

var babelConfig = {
  babelrc: false,
  presets: ['flow', 'react', ['es2015', {
    loose: true
  }]],
  plugins: ['transform-decorators', ['transform-class-properties', {
    'loose': true
  }], [pluginPath, {
    addDisplayName: true
  }]]
};
var create = false;
describe('transformTest', function () {
  _glob2.default.sync(__dirname + '/data/*.js').forEach(function (inName) {
    var rec = _path2.default.parse(inName);

    var outName = _path2.default.join(__dirname, 'data', 'out', rec.name + "Out.js");

    it(rec.name, function () {
      // const inFile = fs.readFileSync(inName).toString()
      var _transformFileSync = (0, _babelCore.transformFileSync)(inName, babelConfig),
          code = _transformFileSync.code;

      var outFile = void 0;

      if (create) {
        outFile = code;

        _fs2.default.writeFileSync(outName, outFile);
      } else {
        outFile = _fs2.default.readFileSync(outName).toString();
        (0, _assert2.default)(code === outFile);
      }
    });
  });
});
//# sourceMappingURL=transformTest.js.map